Subject: No change needed? #723 - Outsourcing as a principle

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 23 Dec 2004 11:30:22 +0100

Ticket #733 questions whether it's right to state a principle that things 
should be outsourced:

>> In principle, IETF administrative functions should be outsourced.
>
> I would remove this sentence. We later say that it is the IAOC's
> job to decide what is outsourced and what isn't, and I am more
> comfortable with that than with stating this as a general
> principle.

No discussion recorded.

Remembering the discussions that led us here, I think we had consensus on a 
strong principle of outsourcing - this is based on two beliefs:

- That some functions are performed more effectively and efficiently by 
people who do "that sort of thing" for others
- That building a large team that performs functions "in-house" will lead 
to a greater temptation to consider "how to make work for our staff" rather 
than "what's best for the IETF" (this has happened to other organizations).

I believe that these are valid reasons to keep the mention of the 
outsourcing principle in section 3, so I suggest we close #723 with "no 
changes needed".

Another tack would be to edit the text to mention the beliefs above 
explicitly - but I think that's a level of detail in justification that we 
have not done for other principles.

OK?

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Thu, 23 Dec 2004 12:32:42 -0500

--On Thursday, 23 December, 2004 11:30 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> Ticket #733 questions whether it's right to state a principle
> that things should be outsourced:
> 
>> I would remove this sentence. We later say that it is the
>> IAOC's job to decide what is outsourced and what isn't, and I
>> am more comfortable with that than with stating this as a
>> general principle.
> 
> No discussion recorded.
> 
> Remembering the discussions that led us here, I think we had
> consensus on a strong principle of outsourcing - this is based
> on two beliefs:
> 
> - That some functions are performed more effectively and
> efficiently by people who do "that sort of thing" for others
> - That building a large team that performs functions
> "in-house" will lead to a greater temptation to consider "how
> to make work for our staff" rather than "what's best for the
> IETF" (this has happened to other organizations).

Mumble.   Just so there  is not "no discussion", both of these
beliefs are questionable.  

The first could also be an argument for hiring someone who "does
that sort of thing" if there were enough of that sort of thing
to be done to justify a long-ish term appointment.  And there is
a case to be made that managing a collection of contractors,
especially contractor organizations, is more difficult,
time-consuming, and expensive, than managing employees.

The second is a position I've taken, and one in which I firmly
believe, but I'm not sure that "...functions should be
outsourced" is quite the right way to capture it.  It would be
closer to say that any decision to create an in-house position
should be strongly justified to and by the IAOC, that in-house
positions other than the IAD should be, to the extent possible,
zero-based on an annual basis, and that in-house staff should be
kept as lean as possible, but no leaner.

> I believe that these are valid reasons to keep the mention of
> the outsourcing principle in section 3, so I suggest we close
> #723 with "no changes needed".

I think that, if you really want to capture the intended
principle, the relevant text would be modified to read something
like...

	In principle, IETF administrative functions should be
	outsourced. Decisions to perform specific functions
	"in-house" should be explicitly justified by the IAOC
	and restricted to the minimum staff required, with these
	decisions and staffing reviewed by the IAOC on a regular
	basis and against a "zero base" assumption.

Anything less is likely to be construed as making it a violation
of principle to make decisions that we may need to make.  For
example, as discussed on other threads, there may be very strong
arguments, at least in the longer term, for making the IETF
Executive Director and/or IESG Secretary an employee.
> 
> Another tack would be to edit the text to mention the beliefs
> above explicitly - but I think that's a level of detail in
> justification that we have not done for other principles.

Agreed.
   john